CHMOD(1)

NAMA
chmod - mengubah bit-bit mode berkas

RINGKASAN
chmod [PILIHAN]... MODE[,MODE]... BERKAS...
chmod [PILIHAN]... MODE-OKTAL BERKAS...
chmod [PILIHAN]... --reference=RFILE BERKAS...

DESKRIPSI
Halaman manual ini mendokumentasikan versi GNU dari chmod. chmod mengubah bit-bit mode berkas dari setiap berkas yang diberikan sesuai dengan mode, yang dapat berupa representasi simbolis dari perubahan yang harus dilakukan, atau angka oktal yang mewakili pola bit untuk bit-bit mode baru.

Format mode simbolik adalah [ugoa...][[-+=][perms...]...], dimana perms adalah nol atau lebih huruf dari himpunan rwxXst, atau satu huruf dari himpunan ugo. Beberapa mode simbolis dapat diberikan, dipisahkan dengan koma.

Kombinasi huruf-huruf ugoa mengontrol hak akses file yang akan dirubah: untuk pemilik (u), untuk grup (g), untuk user lain bukan didalam grup (o), atau untuk seluruh user (a). Bila tidak ada satupun yang diberikan, maka defaultnya adalah a tapi bit-bit yang di set dalam umask tidak dipengaruhi.

Tanda + menyebabkan bit-bit mode berkas yang dipilih ditambahkan ke bit-bit mode berkas yang ada dari setiap berkas; - menyebabkan mereka dihapus; dan = menyebabkan mereka ditambahkan dan menyebabkan bit-bit yang tidak disinggung dihapus kecuali bahwa set bit ID pengguna dan grup direktori yang tidak disinggung tidak terpengaruh.

Huruf-huruf rwxXst memilih bit-bit mode berkas bagi pengguna yang terpengaruh: baca (r), tulis (w), eksekusi (atau mencari direktori) (x), mengeksekusi/mencari hanya bila berkas adalah sebuah direktori atau sudah memiliki hak akses eksekusi untuk beberapa pengguna (X), set user atau group ID pada saat eksekusi (s), flag penghapusan terbatas atau sticky bit (t). Sebagai pengganti satu huruf tersebut atau lebih, Anda dapat menyatakan tepat satu dari huruf ugo: izin diberikan ke pengguna yang memiliki berkas (u), izin diberikan untuk pengguna lain yang menjadi anggota grup pemilik berkas (g), dan izin diberikan untuk pengguna lain yang tidak termasuk ke dalam dua kategori terdahulu (o).

Mode numerik menggunakan angka satu sampai empat oktal (0-7), diperoleh dengan menjumlahkan bit-bit dengan nilai-nilai 4, 2, dan 1. Digit yang diabaikan diasumsikan sebagai nol di depan. Digit pertama memilih set user ID (4) dan set grup ID (2) dan atribut penghapusan terbatas atau sticky (1). Digit kedua memilih hak akses bagi pengguna yang memiliki berkas: baca (4), tulis (2), dan eksekusi (1); digit ketiga memilih hak akses untuk pengguna lain dalam grup berkas, dengan nilai-nilai yang sama; dan digit keempat untuk pengguna yang bukan dalam grup berkas, dengan nilai yang sama pula.

chmod tidak akan merubah hak akses dari symbolic link; Sistem call chmod tidak dapat mengubah hak akses file-file tersebut. Hal ini bukan suatu masalah karena hak akses symbolic link tidak pernah digunakan. Walaupun demikian, setiap symbolic link yang diberikan pada baris perintah bersama dengan chmod merubah hak akses dari file yang dituju. Tapi chmod mengabaikan symbolic link yang menuju ke direktori lain.

BIT SETUID DAN SETGID
chmod menghapus bit set-group-ID dari berkas biasa jika ID grup berkas tidak cocok dengan ID grup efektif pengguna atau salah satu ID grup tambahan pengguna, kecuali pengguna memiliki hak istimewa yang sesuai. Pembatasan tambahan dapat menyebabkan bit set-user-ID dan set-group-ID MODE atau RFILE diabaikan. Perilaku ini tergantung pada kebijakan dan fungsionalitas panggilan sistem yang mendasari chmod. Jika ragu, periksa perilaku sistem yang mendasarinya.

Untuk direktori, chmod mempertahankan bit set-user-ID dan set-group-ID kecuali Anda secara eksplisit menentukan sebaliknya. Anda dapat mengatur atau menghapus bit dengan mode simbolis seperti u+s dan g-s. Untuk menghapus bit ini bagi direktori dengan mode numerik, memerlukan tambahan nol di depan seperti 00755, minus di depan seperti -6000, atau sama dengan di depan seperti =755.

FLAG PENGHAPUSAN TERBATAS ATAU BIT STICKY
Flag penghapusan terbatas atau sticky bit adalah bit tunggal, yang interpretasinya tergantung pada jenis berkas. Untuk direktori, ini mencegah pengguna yang tidak memiliki hak istimewa menghapus atau mengganti nama berkas di direktori kecuali mereka memiliki berkas atau direktori tersebut; ini disebut restricted deletion flag untuk direktori, dan biasanya ditemukan pada direktori yang dapat ditulis siapa pun seperti /tmp. Untuk berkas biasa pada beberapa sistem yang lebih lama, bit menyimpan image teks program pada perangkat swap sehingga akan memuat lebih cepat saat dijalankan; ini disebut sticky bit.

PILIHAN

Ubah konteks keamanan dari setiap BERKAS ke MODE. Dengan --reference, ubah konteks keamanan dari setiap BERKAS ke RFILE.

-c, --changes
    seperti cerewet tapi hanya laporkan ketika suatu perubahan dibuat

-f, --silent, --quiet
    sembunyikan kebanyakan pesan kesalahan

-v, --verbose
    keluarkan sebuah pesan diagnostik untuk setiap berkas yang diproses

--no-preserve-root
    jangan perlakukan '/' spesial (default)

--preserve-root
    gagal beroperasi secara rekursif di '/'

--reference=RFILE
    gunakan RFILE konteks keamanan daripada menspesifikasikan sebuah nilai KONTEKS

-R, --recursive
    mengubah direktori dan berkas secara rekursif

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Setiap MODE adalah dalam bentuk '[ugoa]*([-+=]([rwxXst]*|[ugo]))+|[-+=][0-7]+'.

PENGARANG
Ditulis oleh David MacKenzie dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2022 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
chmod(2)

Dokumentasi lengkap <https://www.gnu.org/software/coreutils/chmod>
atau tersedia lokal melalui: info '(coreutils) chmod invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Rizqy Syarief <rizqy@rad.net.id> dan Andika Triwidada <andika@gmail.com>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.